changeset 685:b4e01579b558

6626677: Error: Unimplemented()/HPI sysMonitorExit is broken on linux Summary: Remove the definition of NEED_DL_LOCK on platforms with GLIBC Reviewed-by: dholmes, psoper
author chegar
date Thu, 05 Jun 2008 04:08:41 -0700
parents d0c10a7892fe
children d0c74839e1bd
files jdk/src/solaris/hpi/src/linker_md.c
diffstat 1 files changed, 0 insertions(+), 9 deletions(-) [+]
line wrap: on
line diff
--- a/jdk/src/solaris/hpi/src/linker_md.c	Tue Jun 03 13:28:16 2008 -0700
+++ b/jdk/src/solaris/hpi/src/linker_md.c	Thu Jun 05 04:08:41 2008 -0700
@@ -51,15 +51,6 @@
 sys_mon_t _dl_lock;
 
 /*
- * glibc-2.0 libdl is not MT safe.  If you are building with any glibc,
- * chances are you might want to run the generated bits against glibc-2.0
- * libdl.so, so always use locking for any version of glibc.
- */
-#ifdef __GLIBC__
-    #define NEED_DL_LOCK
-#endif
-
-/*
  * Solaris green threads needs to lock around libdl.so.
  */
 #if defined(__solaris__) && !defined(NATIVE)